Suspend, resume or disconnect an agency client
PATCH
/orgs/{organizationId}/agency/clients/{relationshipId}Suspend, resume or disconnect an agency client using current organization authority.
AuthorizationBearer <token>
Scoped FishOut API key. Never send credentials in query parameters.
In: header
Path Parameters
organizationId*string
Length
1 <= lengthrelationshipId*string
Length
1 <= lengthHeader Parameters
Idempotency-Key*string
Reuse for retries of the same action for 24 hours. A changed body returns 409.
Length
8 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/orgs/string/agency/clients/string" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{ "status": "active" }'{ "data": "string", "meta": { "requestId": "string", "replayed": true }}